Subject: Re: cntlzw

From: Matt Sealey <[email-masked]>
Date: Fri, 06 Jun 2008 10:53:13 +0100

It's in the Compiler Writer's Guide with explanation; section 5-10.

http://www-01.ibm.com/chips/techlib/techlib.nsf/techdocs/852569B20050FF7785256996007558C6

There are lots of clever examples in there, it's definitely recommended
reading (I should make a cheat sheet of chapter 5 though so I can pin it
to my wall)

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations

Scott Wood wrote:
> Kevin Diggs wrote:
>> Hi,
>>
>>     x86 has bsf and bsr. PPC has cntlzw which I think is equivalent to 
>> bsr. Anyone know of a sneaky algorithm to do bsf?
> 
> wordsize - 1 - cntlzw(x & ~(x - 1));
> 
> -Scott
> _______________________________________________
> Linuxppc-dev mailing list
> [email-masked]
> https://ozlabs.org/mailman/listinfo/linuxppc-dev